package cn.com.zyjblogs.chat.common;

/**
 * 异常处理类
 * @author zhuyi
 */
public class ChatException extends RuntimeException {
    private ResponseCode responseCode;
    private String msg;
    public ChatException(){
    }
    public ChatException(String msg){
        super(msg);
        this.msg = msg;
    }
    public ChatException(ResponseCode responseCode,String msg){
        super(msg);
        this.responseCode = responseCode;
        this.msg = msg;
    }
}
