package cn.com.zyjblogs.chat.common;

/**
 * 消息码
 */
public enum ResponseCode {
    SUCCESS(200,"成功"),
    FAILD(500,"失败");
    private final Integer code;
    private final String message;
    ResponseCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
